type Team @table(name: "teams") {
  
  id: UUID! @default(expr: "uuidV4()")
  teamName: String!
  
  ownerId: UUID! #vendor/business
  ownerName: String!
  ownerRole: String!
  email: String
  companyLogo: String

  totalMembers: Int
  activeMembers: Int
  totalHubs: Int
  departments: Any 

  favoriteStaffCount: Int
  blockedStaffCount: Int
  favoriteStaff: Any 
  blockedStaff: Any 

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
